Financial statements for the company
Returns the company’s full profit-and-loss statement and balance sheet per financial period.
curl --request GET \
--url https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-statements \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-statements"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.example.com/3/{profileCountry}/company-data/companies/{country}/{orgNr}/financial-statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"fromDate": "2023-11-07T05:31:56Z",
"toDate": "2023-11-07T05:31:56Z",
"statement": {
"netOperatingIncome": 123,
"operatingResult": 123,
"resultAfterFin": 123,
"netProfitLoss": 123,
"totTurnoverAssets": 123,
"totFixedAssets": 123,
"totShortTermDebts": 123,
"totLongTermDebts": 123,
"totEquity": 123,
"totalEquityAndLiability": 123,
"noEmployees": 123
},
"profitAndLoss": {
"netSales": 123,
"changeInventoryWorkInProgress": 123,
"workPerformedOwnUseCapital": 123,
"otherOppIncome": 123,
"netOperatingIncome": 123,
"rawMaterialConsumables": 123,
"goodsResale": 123,
"otherExtCosts": 123,
"staffCosts": 123,
"depreciationWriteDowns": 123,
"itemAffectingComp": 123,
"otherOppExpenses": 123,
"totOperatingExpenses": 123,
"operatingResult": 123,
"resultPartGroup": 123,
"extInterestInc": 123,
"finInterestGroupInc": 123,
"otherFinInc": 123,
"interestExpGroup": 123,
"otherFinCosts": 123,
"resultAfterFin": 123,
"extraordinaryInc": 123,
"extraordinaryExp": 123,
"contributeGroup": 123,
"contributeShareholder": 123,
"otherAppropriations": 123,
"tax": 123,
"minorityInterestProfit": 123,
"netProfitLoss": 123
},
"balanceSheet": {
"capExpResDev": 123,
"patents": 123,
"goodwill": 123,
"otherIntangibleAssets": 123,
"totIntangiableAssets": 123,
"landBuildings": 123,
"plantMachinery": 123,
"equipmentToolsFixFit": 123,
"otherMatDepreciation": 123,
"otherTangAssNonDep": 123,
"totTangiableAssets": 123,
"groupShare": 123,
"accReceivableGroupInterestGroup": 123,
"loanCoOwners": 123,
"otherFinAssets": 123,
"totFinancialAssets": 123,
"totFixedAssets": 123,
"workOnContract": 123,
"totInventories": 123,
"accReceivableTrade": 123,
"accReceivableGroup": 123,
"otherAccReceivable": 123,
"cashAndBankBalances": 123,
"otherCurrentAss": 123,
"totTurnoverAssets": 123,
"totAssets": 123,
"issuedShareCapital": 123,
"sharePremiumReserve": 123,
"revaluationReserve": 123,
"otherStockholderEquity": 123,
"profitLossBroughtForward": 123,
"contributionGroup": 123,
"contributionShareholders": 123,
"netProfitLoss": 123,
"uity": 123,
"untaxedReserves": 123,
"minorityInterests": 123,
"provisions": 123,
"ltBondLoan": 123,
"ltLiabCreditInst": 123,
"ltLiabGroupAssComp": 123,
"ltOtherLiab": 123,
"ltTotDebts": 123,
"stLiabCreditInst": 123,
"stAccountsPayableTrade": 123,
"stLiabGroupAssComp": 123,
"stOtherLiab": 123,
"totalEquityAndLiab": 123
}
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO The country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
SE, NO The company's organisation number (personal identity number for a sole proprietorship), without separators.
Response
OK
Summary financial statement figures (result and balance totals) for a single period.
Show child attributes
Show child attributes
A company's profit-and-loss statement for a financial period.
Show child attributes
Show child attributes
A company's balance sheet for a financial period: assets, equity and liabilities line items.
Show child attributes
Show child attributes
Was this page helpful?
